# List datasets

Retrieves all datasets that belong to the specified data source (dataSourceId).

Endpoint: GET /v1/data-sources/{dataSourceId}/datasets
Version: v1
Security: x-api-key

## Path parameters:

  - `dataSourceId` (integer, required)
    Unique identifier for the data source.
    Example: 4754489

## Response 200 fields (application/json):

  - `requestId` (string)
    Unique identifier for the request.
    Example: "b0eac937-c25c-47a5-bb7e-552f6b860458"

  - `status` (string)
    Indicates the status of the request.
    Example: "success"

  - `datasets` (array)
    List of datasets and their metadata.

  - `datasets.id` (string)
    Unique identifier for the dataset.
    Example: "4e1219d8-7fa8-44b7-96c6-a8f2a9cfb0bf"

  - `datasets.title` (string,null)
    Human-readable name of the dataset. May be empty but not null.
    Example: "Transactions"

  - `datasets.created` (string)
    ISO 8601 timestamp when the data source was created.
    Example: "2025-10-01T12:00:00.000000Z"

## Response 400 fields (application/json):

  - `requestId` (string)
    Unique identifier for the request.
    Example: "b0eac937-c25c-47a5-bb7e-552f6b860458"

  - `status` (string)
    Indicates the status of the request.
    Example: "error"

  - `errors` (array)

  - `errors.code` (string,null)
    A machine-readable error code that identifies the type of error.
    Example: "invalid_input"

  - `errors.message` (string)
    A human-readable message explaining the error.
    Example: "The provided parameter is invalid."

  - `errors.field` (string)
    The name of the request field associated with the error, if applicable.
    Example: "datasetId"

  - `errors.type` (string)
    The category or context of the error, such as validation or permission.
    Example: "validation"

## Response 401 fields (application/json):

  - `requestId` (string)
    Unique identifier for the request.
    Example: "b0eac937-c25c-47a5-bb7e-552f6b860458"

  - `status` (string)
    Indicates the status of the request.
    Example: "error"

  - `errors` (array)


